Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2147343 - Please branch and build python-pyside2 for EPEL 9
Summary: Please branch and build python-pyside2 for EPEL 9
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-pyside2
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Richard Shaw
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2022-11-23 18:22 UTC by Scott K Logan
Modified: 2022-12-04 00:42 UTC (History)
3 users (show)

Fixed In Version: python-pyside2-5.15.7-1.el9
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-12-04 00:42:38 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)

Description Scott K Logan 2022-11-23 18:22:14 UTC
Description of problem:
There are no python-pyside2 packages available in RHEL 9. Please branch and build python-pyside2 in EPEL 9.

Additional info:
It looks like the current tip of rawhide of this package *almost* builds successfully against EPEL 9. Most of the arches passed, but s390x had a single test failure that the other platforms didn't. Given the way the test failed and the fact that s390x is the only big-endian platform built, I suspect an endianness bug. I'm not sure if it's in Qt or pyside2, however.

I was able to install and use the x86_64 packages produced for EPEL 9 as expected.

Some changes to sip are making it challenging to use in RHEL 9, so it would be great if there was an alternative available.

Koji scratch build: https://koji.fedoraproject.org/koji/taskinfo?taskID=94437958

Thanks!

Comment 1 Richard Shaw 2022-11-24 14:22:57 UTC
Branch requested. I have also submitted the bug upstream:

https://bugreports.qt.io/browse/PYSIDE-2130

I noticed there's a newer version available, 5.15.7, but the testing failed horribly and I don't have time to investigate right now.

Comment 2 Fedora Update System 2022-11-25 01:10:05 UTC
FEDORA-EPEL-2022-299a1357ad has been submitted as an update to Fedora EPEL 9. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2022-299a1357ad

Comment 3 Fedora Update System 2022-11-26 00:24:29 UTC
FEDORA-EPEL-2022-299a1357ad has been pushed to the Fedora EPEL 9 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2022-299a1357ad

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 4 Fedora Update System 2022-12-04 00:42:38 UTC
FEDORA-EPEL-2022-299a1357ad has been pushed to the Fedora EPEL 9 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.